d3.csv('https://raw.githubusercontent.com/plotly/datasets/master/3d-scatter.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var color1 = {
	x:unpack(rows, 'x1'), y: unpack(rows, 'y1'), z: unpack(rows, 'z1'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(104, 96, 0, 0.94)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var color2 = {
	x:unpack(rows, 'x2'), y: unpack(rows, 'y2'), z: unpack(rows, 'z2'),
	mode: 'markers',
	marker: {
		color: 'rgb(107, 0, 0)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 20, 0)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [color1, color2];
var layout = {margin: {
	l: 1,
	r: 1,
	b: 2,
	t: 2
  }};
Plotly.newPlot('blank', data, layout);
});